> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# CDN-домени

> Свої CDN-домени команди. Потрібне право керування CDN.



## OpenAPI

````yaml uk/openapi/uk-api-v3-openapi.yaml GET /cdn/custom-domains
openapi: 3.1.0
info:
  title: ER:LC Росія API V3
  description: >-
    API ER:LC Russia: сервери, користувачі, CDN, редиректи, підписки та ключі
    доступу.
  version: 3.0.0
servers:
  - url: https://api.erlcrussia.com/v3
    description: Основний сервер (com)
  - url: https://api.erlcrussia.xyz/v3
    description: Резервний сервер (xyz)
security: []
tags:
  - name: ER:LC Сервер
    description: Отримання статусу, онлайн, списків гравців та персоналу сервера ER:LC.
  - name: ER:LC Команди
    description: >-
      Відправлення та постановка в чергу команд внутрішньоігрового сервера (:h,
      :m, :kick, :ban та ін.).
  - name: Економіка
    description: >-
      Взаємодія з економічною системою (користувачі, бізнес, мафії, магазин,
      реклама).
  - name: API Статистики
    description: >-
      Високопродуктивне отримання статистики дискорд-серверів та ігрових
      серверів (онлайн, учасники, роботи).
  - name: API Верифікації
    description: Пошук та зіставлення Discord ID та Roblox ID акаунтів.
  - name: CDN Ассети
    description: >-
      Завантаження, керування, статистика та очищення кешу файлів об'єктного
      сховища MinIO/Edge CDN.
  - name: CDN Папки
    description: Ієрархічна структура та сортування папок медіатеки CDN.
  - name: API Покарань
    description: Управління балансом та історією транзакцій балів гравців.
  - name: API Передплат
    description: >-
      Каталог планів, замовлення FunPay, нарахування бенефітів та активація
      підписок.
  - name: API Авторизації
    description: >-
      Вхід через Discord та Roblox OAuth2, керування сесіями користувача та
      зв'язування акаунтів.
  - name: API Управління - WebSocket Ключі
    description: Керування ключами доступу до WebSocket шлюзу та підписками на канали.
  - name: API Управління - Вебхукі
    description: Реєстрація, валідація доступності та моніторинг власних вебхуків.
  - name: API Управління - Панель
    description: >-
      Управління користувачами, підписками, тарифами, ручний баланс та системна
      статистика.
  - name: API Стану
    description: Моніторинг працездатності сервісу, підключень до PostgreSQL та Redis.
  - name: AI Audio
  - name: AI Studio
  - name: API Адмінки - Сервера
  - name: API Ключів
  - name: API Управління - Сервери
  - name: API Управління - Токени
  - name: CDN
  - name: CDN V3
  - name: CDN Домени
  - name: Адміністрація E-Coins
  - name: Адміністрування AI
  - name: Користувальницькі Вебхуки
  - name: Особисті файли та бібліотека
  - name: Редиректи організацій V3
  - name: Рекламные кампании V3
paths:
  /cdn/custom-domains:
    get:
      tags:
        - CDN V3
      summary: CDN-домени
      description: Свої CDN-домени команди. Потрібне право керування CDN.
      responses:
        '200':
          description: Успішна відповідь.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CDNCustomDomain'
              example:
                - id: domain_example
                  domain: files.example.com
                  teamId: team_example
                  scope: team
                  type: cdn
                  userId: null
                  isVerified: true
                  cnameVerified: true
                  cfStatus: active
                  cfSslStatus: active
                  cfCustomHostnameId: hostname_example
                  originUrl: null
                  deployHookToken: REDACTED_DEPLOY_TOKEN
                  s3Backup: true
                  ownershipName: null
                  ownershipValue: null
                  sslTxtName: null
                  sslTxtValue: null
                  createdAt: '2026-10-15T10:00:00Z'
                  updatedAt: '2026-10-15T10:00:00Z'
                  _count:
                    shortLinks: 0
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          description: Немає доступу до організації чи ресурсу.
        '429':
          description: >-
            Ліміт запитів вичерпано. Враховуйте Retry-After; не запускайте
            необмежені паралельні завантаження.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                code: 5016
                message: Rate Limit Exceeded
      security:
        - ApiKeyHeader: []
components:
  schemas:
    CDNCustomDomain:
      type: object
      properties:
        id:
          type: string
        domain:
          type: string
        teamId:
          type:
            - string
            - 'null'
        scope:
          type: string
        type:
          type: string
          const: cdn
        userId:
          type:
            - string
            - 'null'
        isVerified:
          type: boolean
        cnameVerified:
          type: boolean
        cfStatus:
          type:
            - string
            - 'null'
        cfSslStatus:
          type:
            - string
            - 'null'
        cfCustomHostnameId:
          type:
            - string
            - 'null'
        originUrl:
          type:
            - string
            - 'null'
        deployHookToken:
          type:
            - string
            - 'null'
          writeOnly: false
        s3Backup:
          type: boolean
        ownershipName:
          type:
            - string
            - 'null'
        ownershipValue:
          type:
            - string
            - 'null'
        sslTxtName:
          type:
            - string
            - 'null'
        sslTxtValue:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        _count:
          type: object
          properties:
            shortLinks:
              type: integer
      required:
        - id
        - domain
        - isVerified
    APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        error:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5009
          description: Числовий код помилки ER:LC Росія API.
        message:
          type: string
          example: Forbidden
          description: Системне повідомлення помилки англійською мовою.
  responses:
    BadRequestError:
      description: Bad Request (400) – неправильні параметри запиту.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_params:
              summary: Missing Parameters (5002)
              value:
                code: 5002
                message: Missing Parameters
            invalid_json:
              summary: Invalid JSON (5034)
              value:
                code: 5034
                message: Invalid Json
            invalid_param:
              summary: Invalid Param Name (5004)
              value:
                code: 5004
                message: Invalid Param Name
    UnauthorizedError:
      description: Unauthorized (401) - відсутній або недійсний API токен.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_token:
              summary: Missing Token (5007)
              value:
                code: 5007
                message: Missing Token
            invalid_token:
              summary: Invalid Token (5008)
              value:
                code: 5008
                message: Invalid Token
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: erlcrussia-api-key
      description: >-
        Користувальницький API-ключ. Зберігайте на сервері; не включайте у
        клієнтський JavaScript.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.